%define upstream_name Gnome2-VFS
%define upstream_version 1.084

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Perl module for the gnome2-2.x VFS libraries
License:    GPL+ or Artistic
Group:      Development/GNOME and GTK+
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Gnome2/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::Depends) >= 0.200.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.30.0
BuildRequires: perl(Glib) >= 1.120.0
BuildRequires: libgnome-vfs2-devel >= 2.6
BuildRequires: perl-devel
BuildRequires: x11-server-xvfb

Requires:   perl-Glib >= 1.00,
Requires:   libgnome-vfs2 >= 2.6
%description
This module provides perl access to GNOME-2.x VFS libraries.

The GNOME Virtual File System provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
# fix build with modules from ./lib/:
export PERL_USE_UNSAFE_INC=1
perl Makefile.PL INSTALLDIRS=vendor
make

%install
%make_install

%check
xvfb-run make test

%files
%doc LICENSE META.json META.yml MYMETA.yml NEWS README examples
%{_mandir}/*/*
%{perl_vendorarch}/*
%{perl_vendorarch}/auto/*


%changelog
* Fri Dec 01 2023 tv <tv> 1.84.0-5.mga10
+ Revision: 2012023
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.84.0-4.mga9
+ Revision: 1862868
- Rebuild for Perl 5.36

* Wed Apr 06 2022 umeabot <umeabot> 1.84.0-3.mga9
+ Revision: 1845843
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.84.0-2.mga9
+ Revision: 1726704
- Rebuild for perl 5.34

* Wed Apr 28 2021 tv <tv> 1.84.0-1.mga9
+ Revision: 1720283
- use $xvfb-run in order to supress some testsuite warnings
- update to 1.084

* Thu Jun 18 2020 tv <tv> 1.83.0-8.mga8
+ Revision: 1596455
- rebuild for perl-5.32

* Sat Feb 15 2020 umeabot <umeabot> 1.83.0-7.mga8
+ Revision: 1529025
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 1.83.0-6.mga8
+ Revision: 1432998
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.83.0-5.mga7
+ Revision: 1292999
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.83.0-4.mga7
+ Revision: 1249400
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1.83.0-3.mga7
+ Revision: 1164584
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.83.0-2.mga7
+ Revision: 1150188
- Rebuild for perl ABI changes

* Mon Jul 31 2017 sander85 <sander85> 1.83.0-1.mga7
+ Revision: 1133125
- update to 1.083

* Sun Jul 23 2017 tv <tv> 1.82.0-12.mga7
+ Revision: 1129103
- fix build with perl 5.26
- rebuild for perl 5.26
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.82.0-9.mga6
+ Revision: 1027951
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.82.0-8.mga6
+ Revision: 957370
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.82.0-7.mga6
+ Revision: 844880
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tv <tv> 1.82.0-6.mga6
+ Revision: 841060
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.82.0-5.mga5
+ Revision: 744897
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.82.0-4.mga5
+ Revision: 684882
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 1.82.0-3.mga5
+ Revision: 632236
- perl 5.20.0 rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.82.0-2.mga4
+ Revision: 539101
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 sander85 <sander85> 1.82.0-1.mga4
+ Revision: 491409
- update to 1.082

* Wed May 29 2013 jquelin <jquelin> 1.081-10.mga4
+ Revision: 431526
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.081-9.mga3
+ Revision: 367809
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.081-8.mga3
+ Revision: 250667
- rebuild for perl 5.16

* Mon Sep 05 2011 fwang <fwang> 1.081-7.mga2
+ Revision: 138578
- rebuild for updated perl build flags

* Sun Jun 12 2011 sander85 <sander85> 1.081-6.mga2
+ Revision: 104370
- Rebuild for perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 1.081-5.mga1
+ Revision: 36268
- mageia rebuild
- easier to read buildrequires
- mageia rebuild
- imported package perl-Gnome2-VFS

